For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • POSTCreate Sales Appointment
        • GETGet Sales Appointments
        • GETGet Users
        • GETGet Dealers
        • GETSearch Customers
        • GETGet Vehicles
        • GETGet Lead Sources
        • GETGet Lead Types
        • GETGet Company Types
        • POSTCreate Customer
        • POSTCreate Lead
        • GETGet Sales Appointment
        • POSTCreate Call
Logo
Talk to usGet started
API ReferenceIntegrationsVin

Create Sales Appointment

POST
https://api.trykeet.com/v1/vin/sales/appointments
POST
/v1/vin/sales/appointments
$curl -X POST https://api.trykeet.com/v1/vin/sales/appointments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "leadId": "leadId",
> "customerId": "customerId",
> "dealerId": "dealerId",
> "description": "description",
> "endDate": "endDate",
> "startDate": "startDate",
> "assignedUserId": "assignedUserId"
>}'
1{
2 "status": "ok"
3}
Create a sales appointment
Was this page helpful?
Previous

Get Sales Appointments

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Request

This endpoint expects an object.
leadIdstringRequired
customerIdstringRequired
dealerIdstringRequired
descriptionstringRequired
endDatestringRequired
startDatestringRequired
assignedUserIdstringRequired

Response

This endpoint returns an object.
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error